{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg, send_event, memberof\r\ndeclare subroutine end_dialog\r\n$insert logical\r\n$insert msg_equates\r\n\r\nOrigRejInfo = get_property( @window, '@OrigRejInfo' )\r\nCurRejInfo  = .rej_info->array\r\nSaveRej = false$\r\nif CurRejInfo <> OrigRejInfo then\r\n   MsgInfo = ''\r\n   Msg = 'Would you like to save changes?'\r\n   MsgInfo<mtext$> = Msg\r\n   MsgInfo<mtype$> = 'BNYC'\r\n   MsgInfo<micon$> = '?'\r\n   Response = msg( '', MsgInfo )\r\n   if Response = 1 then\r\n      SaveRej = true$\r\n   end else\r\n      if Response = 0 then\r\n\t     SaveRej = false$\r\n\t  end else\r\n\t     return 0 ;* user cancelled leave in window\r\n\t  end\r\n   end\r\nend\r\nif SaveRej then\r\n   Void = send_event( @window:'.SAVE', 'CLICK' )\r\nend else\r\n   end_dialog( @window, 'CANCEL' )\t\t\r\nend\r\nRETURN 0"
        }
    }
}